> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# emailflow

> List provider for EmailFlow

## "emailflow" MDO List

List provider for EmailFlow

Implemented by the <see cref="T:SuperOffice.CRM.Lists.EmailFlowListProvider">EmailFlowListProvider</see> class.
The name of the MDO list is 'emailflow'.

## Additional Attributes

| Description                 | Name     | Example Value |
| --------------------------- | -------- | ------------- |
| Specified workflow statuses | statuses |               |

Separator: &

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/emailflow
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("emailflow", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name    | StyleHint | ExtraInfo |
| -- | ------- | --------- | --------- |
| 2  | Example |           |           |

## Related MDO Lists

* "emailflowheadings"
* "emailflowheadingswithallitem"
* "emailflowheadingswithallitemwithnoselection"
* "emailflowheadingswithnoselection"
* "emailflowwithallitem"
* "emailflowwithallitemwithnoselection"
* "emailflowwithnoselection"


## Related topics

- [EmailFlows](/en/api/archive-providers/reference/emailflows.md)
- [Create an EmailFlow object](/en/api/web-services/howto/flows/rest-create-default-email-flow.md)
- [SuperOffice.WebApi.Data.EmailFlow](/en/api/reference/webapi/SuperOffice.WebApi.Data.EmailFlow.md)
- [EmailFlowContent](/en/api/archive-providers/reference/emailflowcontent.md)
- [EmailFlowFormContent](/en/api/archive-providers/reference/emailflowformcontent.md)
- [EmailFlowInstances](/en/api/archive-providers/reference/emailflowinstances.md)
